<?php

namespace OCA\GroupfolderFilesystemSnapshots\Manager;

class SnapshotManager {
    function get() {
        $filesystem_path = "/srv/nextcloud/files/";
        $filesystem_snapshot_path = "/srv/nextcloud/files/.zfs/snapshot/";

        $iterator = new \FilesystemIterator($filesystem_snapshot_path);
        foreach ($iterator as $fileinfo) {
            if(!$fileinfo->isDir()) continue;
            yield $fileinfo->getFilename();
        }
    }
}